<!-- Nav -->
<%- include('../partials/nav', {active: "vault"}); %>

<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1>
                Configuration: <%=kvEngineConfig.path%>
            </h1>
            <% include ../partials/messages %>
            <div class="my-3 p-3 bg-white rounded shadow-sm">
                <div class="table-responsive">
                    <table class="table table-striped table-hover table-sm">
                        <tbody>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Secret engine type
                                </td>
                                <td>
                                    <%=kvEngineConfig.type%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Path
                                </td>
                                <td>
                                    <%=kvEngineConfig.path%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Description
                                </td>
                                <td>
                                    <%=kvEngineConfig.description%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Accessor
                                </td>
                                <td>
                                    <%=kvEngineConfig.accessor%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Local
                                </td>
                                <td>
                                    <% if(kvEngineConfig.local){ %>
                                        <i class="fas fa-check-circle text-success"></i>
                                      <% } else{ %>  
                                        <i class="fas fa-times-circle"></i>
                                     <% } %>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Seal wrap
                                </td>
                                <td>
                                    <% if(kvEngineConfig.seal_wrap){ %>
                                        <i class="fas fa-check-circle text-success"></i>
                                      <% } else{ %>  
                                        <i class="fas fa-times-circle"></i>
                                     <% } %>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Default Lease TTL
                                </td>
                                <td>
                                    <%=kvEngineConfig.config.default_lease_ttl%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Max Lease TTL
                                </td>
                                <td>
                                    <%=kvEngineConfig.config.max_lease_ttl%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Request keys excluded from HMACing in audit
                                </td>
                                <td>
                                    <%=kvEngineConfig.config.audit_non_hmac_request_keys ? kvEngineConfig.config.audit_non_hmac_request_keys.toString() : ''%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Response keys excluded from HMACing in audit
                                </td>
                                <td>
                                    <%=kvEngineConfig.config.audit_non_hmac_response_keys ? kvEngineConfig.config.audit_non_hmac_response_keys.toString() : ''%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Allowed passthrough request headers
                                </td>
                                <td>
                                    <%=kvEngineConfig.config.passthrough_request_headers ? kvEngineConfig.config.passthrough_request_headers.toString() : ''%>
                                </td>
                            </tr>
                            <tr>
                                <td class="break-word font-weight-bold">
                                    Version
                                </td>
                                <td>
                                    <%=kvEngineConfig.options.version%>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div>
                    <a class="btn btn-secondary" href="/vault">Back</a>
                </div>
            </div>
        </main>
    </div>
</div>